Bug 1820305 - [oVirt][Tracker] removing disable checksum workaround for workers
Summary: [oVirt][Tracker] removing disable checksum workaround for workers
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Gal Zaidman
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On: 1794714 1834278 1822714 1822766
Blocks: 1820581
TreeView+ depends on / blocked
 
Reported: 2020-04-02 17:51 UTC by Gal Zaidman
Modified: 2020-09-17 07:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1820581 1821800 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1606 None closed ovirt: disable tx checksum offload for workers 2020-09-13 07:21:38 UTC
Github openshift machine-config-operator pull 2063 None closed Bug 1820305: remove disable checksum workaround for workers 2020-09-13 07:21:37 UTC

Description Gal Zaidman 2020-04-02 17:51:37 UTC
Due to BZ#1794714 We have added a MachineConfig to disable tx checksum offload on https://github.com/openshift/machine-config-operator/pull/1606.
This needs to be removed when the Bug is resolved.

Comment 1 Scott Dodson 2020-04-08 16:53:24 UTC
Why are we only doing this for workers? In compact clusters (no workers) masters would also need this, no?

Comment 2 Gal Zaidman 2020-04-26 08:27:06 UTC
(In reply to Scott Dodson from comment #1)
> Why are we only doing this for workers? In compact clusters (no workers)
> masters would also need this, no?

This fix is to make NodePort work.
NodePort is used to exposes services which should run on worker nodes.
I know that you can use NodePort with masters as well but this is not the "usual/recommended use case" and disabling checksum by default is a workaround and not a solution.
So we decided to apply this only to worker nodes

Comment 3 Steve Milner 2020-05-20 17:48:20 UTC
This looks like it merged. Should this possibly be MODIFIED for QE to verify? Or is this bug still being worked on?

Comment 4 Scott Dodson 2020-05-20 19:15:53 UTC
Yes, I think so. The PR was never properly linked to the bug so the bug never transitioned to MODIFIED as it should have.

Comment 7 Gal Zaidman 2020-05-21 07:00:03 UTC
This bug is for tracking the removal of the workaround.
The kernel bug should be resolved on kernel-4.18.0-202.el8 from [1].
Once we will have RCHOS with it the tests should pass and we can remove that workaround.
It looks like it will be in on RHEL 8.3, so I will retarget to 4.6 and this should be on NEW since we are not removing it at the moment.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1794714


Note You need to log in before you can comment on or make changes to this bug.